Skip to main content
POST
/
work_assignments
Create a work assignment
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/work_assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pay_schedule_id": "<string>",
  "employee_id": "<string>",
  "contractor_id": "<string>",
  "pay_split_id": "<string>",
  "is_primary": true,
  "title": "<string>",
  "archived_at": "2023-12-25",
  "external_ref": "<string>",
  "tag_assignment": {
    "unit": "percentage",
    "is_component_locked": true,
    "tag_allocations": [
      {
        "tags": [
          "<string>"
        ],
        "value": 1
      }
    ]
  },
  "tax_properties": [
    {
      "value": "<string>",
      "effective_from": "2023-12-25",
      "effective_to": "2023-12-25",
      "note": "<string>",
      "owner_id": "<string>"
    }
  ]
}
'
{
  "id": "<id>",
  "object": "work_assignment",
  "data": {
    "title": null,
    "employee": {
      "id": "<id>",
      "object": "employee",
      "links": {
        "self": "/employees/<id>"
      }
    },
    "pay_schedule": {
      "id": "<id>",
      "object": "pay_schedule",
      "links": {
        "self": "/pay_schedules/<id>"
      }
    },
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "current_tax_jurisdiction": "ca_on",
    "is_primary": true,
    "accrued_vacation_pay": 0,
    "paid_vacation_pay": 0,
    "first_non_draft_period_start": null,
    "last_non_draft_period_end": null,
    "available_tax_properties": [
      "ca::province_of_employment",
      "ca::province_of_work",
      "ca::federal_oc_surtax_exempt",
      "ca::cpp_exempt",
      "ca::ei_exempt",
      "ca::qc::qpp_exempt",
      "ca::qc::qpip_exempt",
      "ca::nt::territorial_payroll_tax",
      "ca::nu::territorial_payroll_tax",
      "ca::federal::additional_tax",
      "ca::federal::claim_amount",
      "ca::federal::total_income_less_than_total_claim_amount",
      "ca::federal::annual_deduction_at_source",
      "ca::statutory_holiday_pay",
      "ca::first_nation_exemptions",
      "ca::ab::workers_compensation_class",
      "ca::bc::workers_compensation_class",
      "ca::mb::workers_compensation_class",
      "ca::nb::workers_compensation_class",
      "ca::nl::workers_compensation_class",
      "ca::ns::workers_compensation_class",
      "ca::nt::workers_compensation_class",
      "ca::nu::workers_compensation_class",
      "ca::on::workers_compensation_class",
      "ca::pe::workers_compensation_class",
      "ca::qc::workers_compensation_class",
      "ca::sk::workers_compensation_class",
      "ca::yt::workers_compensation_class",
      "ca::on::claim_amount",
      "ca::on::dependent_children_credit",
      "ca::on::impaired_dependants_credit"
    ],
    "external_ref": null,
    "archived_at": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/work_assignments/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
pay_schedule_id
string
required
employee_id
string

Must be present when contractor_id is either empty or not set.

contractor_id
string

Must be present when employee_id is either empty or not set.

pay_split_id
string
is_primary
boolean

When true, standard tax credits are applied to this work assignment's Pay Stubs. Only one work assignment per Employee per Business Entity may be primary. If none is explicitly set to primary, the earliest work assignment is treated as primary.

title
string | null

An optional label for this work assignment, used to distinguish between multiple work assignments for the same Employee or Contractor.

Maximum string length: 255
archived_at
string<date>

The date the work assignment was archived. Archiving ends the work assignment's participation in future Payrolls. The archive date must not fall before any active Pay Rate's effective period.

external_ref
string
Maximum string length: 255
tag_assignment
object
tax_properties
object[]

Response

201 - application/json

Created

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("work_assignment").

data
Work Assignment · object